/* DirectInput Joystick driver Hack - FFEFFECT struct*/
typedef struct _FFEffectObject FFEFFECT;

/* DirectInput Joystick driver Hack - new functions */
AL_FUNC(int, ff_joystick_has, (int n));
AL_FUNC(FFEFFECT *, ff_create_effect, (void));
AL_FUNC(void, ff_destroy_effect, (FFEFFECT *));
AL_FUNC(int, ff_play_effect, (FFEFFECT *));
AL_FUNC(int, ff_play_dir_effect, (FFEFFECT *, long direction));
AL_FUNC(int, ff_make_periodic_effect, (int n, FFEFFECT *));
AL_FUNC(int, ff_make_constant_force_effect, (int n, FFEFFECT *, int fudge));
AL_FUNC(int, ff_make_fire_force_effect, (int n, FFEFFECT *));
